@echo off
set tex=tex386
goto %1
goto end

:all
call makedvi gcc
call makedvi gxxint
call makedvi gdb
call makedvi gdbint
call makedvi gas
call makedvi texinfo
call makedvi libgpp
call makedvi iostream
call makedvi binutils
call makedvi termcap
goto end

:gcc
set texinput=gcc
%tex% gcc/gcc
texindex gcc.cp gcc.ky
%tex% gcc/gcc
del gcc.aux
del gcc.cp
del gcc.cps
del gcc.fn
del gcc.ky
del gcc.kys
del gcc.log
del gcc.pg
del gcc.toc
del gcc.tp
del gcc.vr
%tex% gcc/cpp
texindex cpp.cp cpp.fn
%tex% gcc/cpp
del cpp.aux
del cpp.cp
del cpp.cps
del cpp.fn
del cpp.fns
del cpp.ky
del cpp.log
del cpp.pg
del cpp.toc
del cpp.tp
del cpp.vr
%tex% gcc/reno
texindex reno.cp
%tex% gcc/reno
del reno.aux
del reno.cp
del reno.cps
del reno.fn
del reno.ky
del reno.log
del reno.pg
del reno.toc
del reno.tp
del reno.vr
set texinput=
goto end

:gxxint
set texinput=gcc
%tex% gcc/gxxint
texindex gxxint.cp
%tex% gcc/gxxint
del gxxint.aux
del gxxint.cp
del gxxint.cps
del gxxint.fn
del gxxint.ky
del gxxint.log
del gxxint.pg
del gxxint.toc
del gxxint.tp
del gxxint.vr
set texinput=
goto end

:gdb
set texinput=gdb
%tex% gdb/refcard
del refcard.log
%tex% gdb/gdb
texindex gdb.cp gdb.fn
%tex% gdb/gdb
del gdb.aux
del gdb.cp
del gdb.cps
del gdb.fn
del gdb.fns
del gdb.ky
del gdb.log
del gdb.pg
del gdb.toc
del gdb.tp
del gdb.vr
set texinput=
goto end

:gdbint
set texinput=gdb
%tex% gdb/gdbint
%tex% gdb/gdbint
del gdbint.aux
del gdbint.cp
del gdbint.fn
del gdbint.ky
del gdbint.log
del gdbint.pg
del gdbint.toc
del gdbint.tp
del gdbint.vr
%tex% gdb/stabs
texindex stabs.fn
%tex% gdb/stabs
del stabs.aux
del stabs.cp
del stabs.fn
del stabs.fns
del stabs.ky
del stabs.log
del stabs.pg
del stabs.toc
del stabs.tp
del stabs.vr
%tex% gdb/annotate
texindex annotate.fn
%tex% gdb/annotate
del annotate.aux
del annotate.cp
del annotate.fn
del annotate.fns
del annotate.ky
del annotate.log
del annotate.pg
del annotate.toc
del annotate.tp
del annotate.vr
set texinput=
goto end

:gas
set texinput=gas
%tex% gas/as
texindex as.cp
%tex% gas/as
del as.aux
del as.cp
del as.cps
del as.fn
del as.ky
del as.log
del as.pg
del as.toc
del as.tp
del as.vr
%tex% gas/gasp
texindex gasp.cp
%tex% gas/gasp
del gasp.aux
del gasp.cp
del gasp.cps
del gasp.fn
del gasp.ky
del gasp.log
del gasp.pg
del gasp.toc
del gasp.tp
del gasp.vr
set texinput=
goto end

:texinfo
set texinput=texinfo
%tex% texinfo/info-stn
texindex info-stn.cp
%tex% texinfo/info-stn
del info-stn.aux
del info-stn.cp
del info-stn.cps
del info-stn.fn
del info-stn.ky
del info-stn.log
del info-stn.pg
del info-stn.toc
del info-stn.tp
del info-stn.vr
%tex% texinfo/texi
texindex texi.cp texi.fn
%tex% texinfo/texi
del texi.aux
del texi.cp
del texi.cps
del texi.fn
del texi.fns
del texi.ky
del texi.log
del texi.pg
del texi.toc
del texi.tp
del texi.vr
%tex% texinfo/makeinfo
texindex makeinfo.cp
%tex% texinfo/makeinfo
del makeinfo.aux
del makeinfo.cp
del makeinfo.cps
del makeinfo.fn
del makeinfo.ky
del makeinfo.log
del makeinfo.pg
del makeinfo.toc
del makeinfo.tp
del makeinfo.vr
set texinput=
goto end

:libgpp
set texinput=libgpp
%tex% libgpp/libgpp
texindex libgpp.fn
%tex% libgpp/libgpp
del libgpp.aux
del libgpp.cp
del libgpp.fn
del libgpp.fns
del libgpp.ky
del libgpp.log
del libgpp.pg
del libgpp.toc
del libgpp.tp
del libgpp.vr
set texinput=
goto end

:gppfaq
set texinput=libgpp
%tex% libgpp/gppfaq
texindex gppfaq.cp
%tex% libgpp/gppfaq
del gppfaq.aux
del gppfaq.cp
del gppfaq.cps
del gppfaq.fn
del gppfaq.ky
del gppfaq.log
del gppfaq.pg
del gppfaq.toc
del gppfaq.tp
del gppfaq.vr
set texinput=
goto end

:iostream
set texinput=libgpp
%tex% libgpp/iostream
texindex iostream.cp
%tex% libgpp/iostream
del iostream.aux
del iostream.cp
del iostream.cps
del iostream.fn
del iostream.ky
del iostream.log
del iostream.pg
del iostream.toc
del iostream.tp
del iostream.vr
set texinput=
goto end

:binutils
set texinput=binutils
%tex% binutils/binutils
texindex binutils.cp
%tex% binutils/binutils
del binutils.aux
del binutils.cp
del binutils.cps
del binutils.fn
del binutils.ky
del binutils.log
del binutils.pg
del binutils.toc
del binutils.tp
del binutils.vr
%tex% binutils/gprof
texindex gprof.cp
%tex% binutils/gprof
del gprof.aux
del gprof.cp
del gprof.cps
del gprof.fn
del gprof.ky
del gprof.log
del gprof.pg
del gprof.toc
del gprof.tp
del gprof.vr
set texinput=
goto end

:termcap
set texinput=termcap
%tex% termcap/termcap
texindex termcap.cp termcap.fn termcap.ky
%tex% termcap/termcap
del termcap.aux
del termcap.cp
del termcap.cps
del termcap.fn
del termcap.fns
del termcap.ky
del termcap.kys
del termcap.log
del termcap.pg
del termcap.toc
del termcap.tp
del termcap.vr

:end
